Skip to content
iTick
  1. Docs
  2. REST API
  3. Stocks
  4. Batch Real-Time Tick

Batch Real-Time Tick

Provide flexible and customizable batch real-time Tick data interface. You can freely create and manage multiple stock watchlists, and the API will only push real-time transaction-by-transaction trades and order book changes for the combinations you subscribe to.

GET/stock/ticks

Request Parameters

regionenumRequired

Market code, supports HK(Hong Kong)、SH(Shanghai)、SZ(Shenzhen)、US(US stocks)、SG(Singapore)、JP(Japan)、TW(Taiwan)、IN(India)、TH(Thailand)、DE(Germany)、MX(Mexico)、MY(Malaysia)、TR(Turkey)、ES(Spain)、NL(Netherlands)、GB(Great Britain)etc.

exchangestring

Exchange, Use exchange to differentiate stocks in the same market. Empty returns primary exchange only. See /symbol/list for exchange codes.

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

tnumber

Timestamp of the latest transaction

vnumber

Transaction volume

tenumber

Trading Session 0: Regular Trading Hours (RTH) 1: Pre-Market Trading 2: After-Hours Trading

dnumber

Transaction direction: 1: Sell, 2: Buy

Code Examples

import requests

url = "https://api.itick.org/stock/ticks?region=HK&codes=700,9988"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/stock/ticks?region=HK&codes=700,9988

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "700": {
      "s": "700",
      "ld": 567,
      "t": 1754554087000,  // 2025-08-07 08:08:07 UTC
      "v": 1134500,
      "d": 0,
      "te": 0
    },
    "9988": {
      "s": "9988",
      "ld": 119.2,
      "t": 1754554087000,  // 2025-08-07 08:08:07 UTC
      "v": 3931400,
      "d": 0,
      "te": 0
    }
  }
}